/*
 * Copyright (c) 2014 Ziver
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package wa.server.plugin.apache;

import wa.server.plugin.WAInstaller;
import zutil.osal.app.linux.AptGet;

/**
 * Created by Ziver on 2014-11-09.
 */
public class ApacheInstaller implements WAInstaller {
    private static final String PACKAGES = "apache php5 php5-mcrypt php5-gd imagemagick";

    @Override
    public boolean isInstalled() {
        String[] tmp = PACKAGES.split(" ");
        for(String pkgName : tmp){
            AptGet.Package pkg = AptGet.getPackage(PACKAGES);
            if( pkg == null || pkg.getCurrentState() != AptGet.Package.PackageState.Installed)
                return false;
        }
        return true;
    }

    @Override
    public void install() {
        AptGet.install(PACKAGES);
    }

    @Override
    public void uninstall() {
        AptGet.purge(PACKAGES);
    }
}
